net.snowflake.client

## Class IngestFilesTester

- java.lang.Object
- - net.snowflake.client.IngestFilesTester

Direct Known Subclasses:
  IngestTester

    public class IngestFilesTester
    extends Object

### Nested Class Summary

Nested Classes
`static class` `IngestFilesTester.FileFormat`
`static class` `IngestFilesTester.IngestPushFilesRequest`
`protected static class` `IngestFilesTester.SecurityState`

### Field Summary

Fields
`protected Connection` `connection`
`protected String` `DATABASE`
`protected String` `fqStageName`
`protected String` `fqTableName`
`protected org.apache.http.impl.client.CloseableHttpClient` `httpClient`
`protected String` `INGEST_TBL`
`protected com.fasterxml.jackson.databind.ObjectMapper` `objectMapper`
`protected String` `RND_PAD`
`protected String` `SCHEMA`
`protected String` `STAGE_NAME`
`protected Path` `tmpIngestStage`

### Constructor Summary

Constructors
`protected` `IngestFilesTester(Connection connection, org.apache.http.impl.client.CloseableHttpClient httpClient)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `checkWithCopy(String truthTable)`
`static org.apache.http.impl.client.CloseableHttpClient` `createHttpClient()`
`Path` `createTempCsv(int rows)`
`Collection<Path>` `createTempFiles(int num_files, int max_rows, IngestFilesTester.FileFormat fileFormat)`
`protected Path` `createTempStageDir()`
`static void` `disableIngestService()`
`static void` `disableIngestServiceOld()`
`int` `doQuery(String query)`
`protected static void` `enableEncryption(boolean enabled)`
`static void` `enableIngestForAccount(boolean enabled)`
`static void` `enableIngestService()`
`static void` `enableIngestServiceOld()`
`static void` `enableKeyPairAuthn()`
`static void` `main(String[] args)`
`protected static String` `quote(String str)`
`protected static void` `say(String arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RND_PAD

    protected final String RND_PAD

#### SCHEMA

    protected final String SCHEMA

#### DATABASE

    protected final String DATABASE

#### INGEST_TBL

    protected final String INGEST_TBL

See Also:
  Constant Field Values

#### STAGE_NAME

    protected final String STAGE_NAME

See Also:
  Constant Field Values

#### fqTableName

    protected final String fqTableName

#### fqStageName

    protected final String fqStageName

#### connection

    protected final Connection connection

#### httpClient

    protected final org.apache.http.impl.client.CloseableHttpClient httpClient

#### tmpIngestStage

    protected final Path tmpIngestStage

#### objectMapper

    protected final com.fasterxml.jackson.databind.ObjectMapper objectMapper

### Constructor Detail

#### IngestFilesTester

    protected IngestFilesTester(Connection connection,
                                org.apache.http.impl.client.CloseableHttpClient httpClient)

### Method Detail

#### createTempStageDir

    protected Path createTempStageDir()

#### createHttpClient

    public static org.apache.http.impl.client.CloseableHttpClient createHttpClient()

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`

#### enableIngestServiceOld

    public static void enableIngestServiceOld()
                                       throws SQLException,
                                              IOException

Throws:
  `SQLException`
  `IOException`

#### enableIngestService

    public static void enableIngestService()
                                    throws SQLException,
                                           IOException

Throws:
  `SQLException`
  `IOException`

#### disableIngestService

    public static void disableIngestService()
                                     throws SQLException,
                                            IOException

Throws:
  `SQLException`
  `IOException`

#### enableKeyPairAuthn

    public static void enableKeyPairAuthn()
                                   throws SQLException,
                                          IOException

Throws:
  `SQLException`
  `IOException`

#### enableEncryption

    protected static void enableEncryption(boolean enabled)
                                    throws SQLException,
                                           IOException

Throws:
  `SQLException`
  `IOException`

#### enableIngestForAccount

    public static void enableIngestForAccount(boolean enabled)
                                       throws SQLException,
                                              IOException

Throws:
  `SQLException`
  `IOException`

#### disableIngestServiceOld

    public static void disableIngestServiceOld()
                                        throws SQLException,
                                               IOException

Throws:
  `SQLException`
  `IOException`

#### checkWithCopy

    public boolean checkWithCopy(String truthTable)
                          throws SQLException

Throws:
  `SQLException`

#### createTempFiles

    public Collection<Path> createTempFiles(int num_files,
                                            int max_rows,
                                            IngestFilesTester.FileFormat fileFormat)
                                     throws IOException

Throws:
  `IOException`

#### quote

    protected static String quote(String str)

#### createTempCsv

    public Path createTempCsv(int rows)
                       throws IOException

Throws:
  `IOException`

#### doQuery

    public int doQuery(String query)
                throws SQLException

Throws:
  `SQLException`

#### say

    protected static void say(String arg)